org.hibernate.search.util.impl

## Class HibernateSearchResourceLoader

- java.lang.Object
- - org.hibernate.search.util.impl.HibernateSearchResourceLoader

- All Implemented Interfaces:
    ResourceLoader

      public class HibernateSearchResourceLoader
      extends Object
      implements ResourceLoader

  Hibernate Search specific implementation of Lucene's `ResourceLoader` interface.
  Author:
    Emmanuel Bernard, Sanne Grinovero (C) 2011 Red Hat Inc., Hardy Ferentschik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HibernateSearchResourceLoader(ServiceManager serviceManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> Class<? extends T>` | `findClass(String className, Class<T> expectedType)`
    `<T> T` | `newInstance(String className, Class<T> expectedType)`
    `InputStream` | `openResource(String resource)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HibernateSearchResourceLoader

          public HibernateSearchResourceLoader(ServiceManager serviceManager)

  - ### Method Detail

    - #### openResource

          public InputStream openResource(String resource)
                                   throws IOException

      Specified by:
        `openResource` in interface `ResourceLoader`
      Throws:
        `IOException`

    - #### findClass

          public <T> Class<? extends T> findClass(String className,
                                                  Class<T> expectedType)

      Specified by:
        `findClass` in interface `ResourceLoader`

    - #### newInstance

          public <T> T newInstance(String className,
                                   Class<T> expectedType)

      Specified by:
        `newInstance` in interface `ResourceLoader`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved